Skip to content

Capture Notifications

  • Endpoint: POST /captureResultNotifyUrl
  • Tags: Collection Service/Auth Capture

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
codestringYesmaxLength: 32Return Code. When the transaction is successful, code: APPLY_SUCCESS and status: SUCCESS; If the transaction fails, the code will return a transaction failure error code and the status is FAILED or CLOSED.
keyVersionstringYesSignature Algorithm Version, Current value: 1
appIdstringYesMerchant AppId,The unique identifier assigned to the merchant app by PayerMax
merchantNostringNomaxLength: 32Merchant Id, the unique identifier generated when the merchant signs the contract with PayerMax
msgstringYesmaxLength: 256Return Message. When the transaction is successful, msg:Success. and status: SUCCESS; If the transaction fails, msg will return the transaction failure error msg and the status is FAILED or CLOSED.
notifyTimestringYesmaxLength: 32Notification time,Compliant with rfc3339 specification, format:yyyy-MM-dd’T’HH:mm:ss.SSSXXX
notifyTypestringYesmaxLength: 16Notification Type CAPTURE
dataobjectYesNotify data body
data.captureNostringYesmaxLength: 64PayerMax capture order id
data.requestIdstringYesmaxLength: 64Merchant unique id.
data.outTradeNostringYesmaxLength: 32Merchant order id.
data.amountstringYesmaxLength: 1024Capture amount.
data.currencystringYesCapture currency.
data.statusstringYesCapture status. SUCCESS、FAILED 、PENDING
data.isFinalstringYesIs final capture. True,False
data.createdTimestringYesCreate time
data.succeededTimestringNoSuccess Time
data.failedTimestringNoFailed Time
data.errorCodestringNoCapture status result description, only has a value when it fails
data.errorMsgstringNoCapture status result code, only has a value when it fails

Example

json
{
  "keyVersion": "1",
  "appId": "5f843bfc8cec49c2b8e9e99847325548",
  "merchantNo": "P01010114418097",
  "notifyTime": "2023-07-23T00:00:01 +0000",
  "notifyType": "CAPTURE",
  "data": {
    "captureNo": "20230806235954ED7856775040587834005",
    "requestId": "xxxxx",
    "outTradeNo": "xxxxxxxx",
    "status": "SUCCESS",
    "isFinal": true,
    "createdTime": "2023-08-06T23:50:59 +0000",
    "succeededTime": "2023-08-06T23:50:59 +0000",
    "failedTime": null,
    "errorCode": null,
    "errorMsg": null
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
codestringYesmaxLength: 32Response ‘SUCCESS’(Only means that the callback response is successful)
msgstringNomaxLength: 256Response’Success’(Only means that the callback response is successful)

Response Example

json
{
  "code": "SUCCESS",
  "msg": "Success"
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.